curl --request GET \
--url https://api.zapier.com/v2/zap-runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zapier.com/v2/zap-runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zapier.com/v2/zap-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"links": {
"next": "https://api.zapier.com/v2/zap-runs?offset=10&limit=10",
"prev": "https://api.zapier.com/v2/zap-runs?offset=0&limit=10"
},
"meta": {
"count": 30,
"limit": 10,
"offset": 10
},
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"zap_id": 104445735,
"start_time": "2024-10-16T06:29:10.360000Z",
"end_time": "2024-10-16T06:29:10.360000Z",
"status": "success",
"zap_title": "My Awesome Zap",
"steps": [
{
"status": "success",
"start_time": "2024-10-16T06:29:10.360000Z"
}
],
"data_in": "",
"data_out": ""
}
]
}
]{
"errors": [
{
"status": 400,
"code": "parse_error",
"title": "ParseError",
"detail": "Malformed request.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "Malformed request.",
"code": "parse_error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 500,
"code": "error",
"title": "APIException",
"detail": "A server error occurred.",
"source": null,
"meta": {
"source": "ZAPIER",
"full_details": {
"message": "A server error occurred.",
"code": "error"
}
}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}{
"errors": [
{
"status": 123,
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>",
"header": "<string>"
},
"meta": {}
}
]
}Get Zap Runs
This endpoint returns runs for the specified Zaps and provides basic yet essential details about their execution. As the initial version, it serves foundational information, with plans for continuous enhancement to expand its capabilities and improve data output over time.
When using OAuth
This endpoint requires the zap:runs OAuth scope.
Authorizations
See our OAuth2 authentication documentation here: https://docs.zapier.com/powered-by-zapier/api-reference/authentication
Query Parameters
Filter Zap runs that occurred on or after this date. If not provided, the results default to Zap runs from the last 30 days.
Used for paginating results. Specifies the maximum number of items to return per page. If this value is not set, it defaults to 10.
Used for paginating results. Specifies the offset to use.
Performs a text search against the zap_title, data_in, and data_out fields, returning only zap runs that match the specified keywords.
Accepts one or more status values separated by comma, enabling the filtering of zap runs based on the specified status or statuses provided.
delayed, scheduled, pending, error, error_handled, halted, throttled, held, filtered, skipped, success Filter Zap runs that occurred before this date.
Find Zap runs for the specified Zap ID.
Was this page helpful?